package com.platform.modules.live.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldStrategy;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * 
 * @author zj
 * @date 2019-02-19 14:25:45
 */
@TableName("live_scene_live_info_ext")
public class LiveSceneLiveInfoExtEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private Integer id;
	/**
	 * 现场Id
	 */
	private Integer infoId;
	/**
	 * 推流地址
	 */
	private String pushUrl;
	/**
	 * RMTP播流地址
	 */
	private String playUrlRmtp;
	/**
	 * HLS播流地址
	 */
	private String playUrlHls;
	/**
	 * FLV播流地址
	 */
	private String playUrlFlv;

	private Long tenantId;
	/**
	 * 拉流地址
	 */
	@TableField(strategy=FieldStrategy.IGNORED)
	private String pullUrl;

	/**
	 * 设置：
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 获取：
	 */
	public Integer getId() {
		return id;
	}
	/**
	 * 设置：现场Id
	 */
	public void setInfoId(Integer infoId) {
		this.infoId = infoId;
	}
	/**
	 * 获取：现场Id
	 */
	public Integer getInfoId() {
		return infoId;
	}
	/**
	 * 设置：推流地址
	 */
	public void setPushUrl(String pushUrl) {
		this.pushUrl = pushUrl;
	}
	/**
	 * 获取：推流地址
	 */
	public String getPushUrl() {
		return pushUrl;
	}
	/**
	 * 设置：RMTP播流地址
	 */
	public void setPlayUrlRmtp(String playUrlRmtp) {
		this.playUrlRmtp = playUrlRmtp;
	}
	/**
	 * 获取：RMTP播流地址
	 */
	public String getPlayUrlRmtp() {
		return playUrlRmtp;
	}
	/**
	 * 设置：HLS播流地址
	 */
	public void setPlayUrlHls(String playUrlHls) {
		this.playUrlHls = playUrlHls;
	}
	/**
	 * 获取：HLS播流地址
	 */
	public String getPlayUrlHls() {
		return playUrlHls;
	}
	/**
	 * 设置：FLV播流地址
	 */
	public void setPlayUrlFlv(String playUrlFlv) {
		this.playUrlFlv = playUrlFlv;
	}
	/**
	 * 获取：FLV播流地址
	 */
	public String getPlayUrlFlv() {
		return playUrlFlv;
	}

	public Long getTenantId() {
		return tenantId;
	}

	public void setTenantId(Long tenantId) {
		this.tenantId = tenantId;
	}
	public String getPullUrl() {
		return pullUrl;
	}
	public void setPullUrl(String pullUrl) {
		this.pullUrl = pullUrl;
	}
	
}
